<?php

/**
 * Jira Zarafa Plugin
 *
 * Author: Sebastian Gerdes <sebastian.gerdes_AT_catworkx.de>
 *
 */

$NAMESPACE = 'http://localhost/appointmentsoap';
$server = new soap_server();

$server->configureWSDL('appointmentSOAP', $NAMESPACE);


/** 
 * Register SOAP functions 
 */


$server->register('addAppointment',
		array(	'username' => 'xsd:string',
			'subject' => 'xsd:string',
			'startdate' => 'xsd:string',
			'body' => 'xsd:string'), 		// input parameters
		array(), 					// output parameters
		$NAMESPACE,  					// namespace
		$NAMESPACE.'#addAppointment',			// soapaction
		'rpc', 						// style
		'encoded',					// use
		'Adds an appointment to the users calendar.' 	// documentation
);

$server->register('delAppointment',
		array(	'username' => 'xsd:string',
			'subject' => 'xsd:string',
			'startdate' => 'xsd:string'),
		array(), 					// output parameters
		$NAMESPACE,  					// namespace
		$NAMESPACE.'#delAppointment',			// soapaction
		'rpc', 						// style
		'encoded',					// use
		'Deletes an appointment in the users calendar.' // documentation
);
?>
