<?php
/**
 * Zarafa Jira Plugin
 *
 * Author: Sebastian Gerdes <sebastian.gerdes_AT_catworkx.de>
 *
 */

class Plugincwxjira extends Plugin {

    private $_log;

    function Plugincwxjira() {
	$defaults = $this->getDefaults();
	$this->_log = $defaults['cwxjira_log'];
	$this->log('Status: Plugincwxjira constructed');
    }

    function init() {
        $this->registerHook('server.index.login.success');
        $this->registerHook('server.module.maillistmodule.execute.before');
	$this->log('Status: Plugincwxjira initialized');
    }

    function execute($eventID, &$data) {
        switch($eventID) {
        case 'server.module.maillistmodule.execute.before':
        	$this->log('Event: server.module.maillistmodule.execute.before');
         	//$this->mailListModuleExecute($data['moduleObject']);
	case 'server.index.login.success':
		$this->log('login success');
		break;
        }
    }

    function getDefaults() {
        return $GLOBALS['pluginconfig']['cwxjira']['defaults'];
    }

    function getSession() {
        return $GLOBALS["mapisession"]->getSession();
    }

    function log($message, $newline = true) {
        if($this->_log) {
            $log = fopen($this->_log, 'a');
            if($log) {
                fwrite($log, $message);
                if($newline) {
                    fwrite($log, "\n");
                }
                fclose($log);
            }
        }
    }
}

?>