Plugincwxjira.prototype = new Plugin;
Plugincwxjira.prototype.constructor = Plugincwxjira;
Plugincwxjira.superclass = Plugin.prototype;

function Plugincwxjira() {}

Plugincwxjira.prototype.init = function() {
    this.registerHook("client.module.maillistmodule.contextmenu.buildup");
};

Plugincwxjira.prototype.execute = function(eventID, data) {
    switch(eventID) {	
	case "client.module.maillistmodule.contextmenu.buildup":
        	this.addCwxJiraContextMenu(data);
        	break;
    	case "client.module.maillistmodule.execute.before":
            	this.mailListModuleExecute(data);
        	break;
    }
};

Plugincwxjira.prototype.addCwxJiraContextMenu = function(data) {
    var items = data["contextmenu"];

    items.push(webclient.menu.createMenuItem("seperator", ""));
    items.push(webclient.menu.createMenuItem("plugin_cwxjira", dgettext('plugin_cwxjira', 'Create Jira Issue'), dgettext('plugin_cwxjira', 'Create Jira Issue'), Plugincwxjira.prototype.eventListContextMenuJiraProjectDialog));
};

Plugincwxjira.prototype.eventListContextMenuJiraProjectDialog = function(moduleObject, element, event) {
    element.parentNode.style.display = "none";
    // open dialog to select jira project
    webclient.openModalDialog(moduleObject, 'cwxjira', DIALOG_URL+"task=jiraprojects&plugin=cwxjira&storeid=" + moduleObject.storeid + "&parententryid=" + moduleObject.entryid + "&entryid=" + moduleObject.entryids[element.parentNode.elementid], 920, 650, projectBrowseDialog_projectsToCallBack, {moduleObject:moduleObject, element:element, elementid:element.parentNode.elementid});
};


function projectBrowseDialog_projectsToCallBack(result, callbackData) {
	
	 var data = new Array();
	 data["store"] = callbackData.moduleObject.storeid;
    	 data["parententryid"] = callbackData.moduleObject.entryid;
          // add one entryid to satisfy the API when passing through the maillistmodules execute
         data["entryid"] = callbackData.moduleObject.entryids[callbackData.elementid];

	//data["entryid"] = messageEntryid;
    	 data["destpath"] = result.nodelink;


	 // Grab the IDs of the messages selected
	var entryids = Array();

    	var items = callbackData.moduleObject.getSelectedMessages(callbackData.elementid);
    	for(i in items){
        	entryids.push(callbackData.moduleObject.entryids[items[i]]);
    	}
    	data["entryids"] = entryids;

	eventListCheckSelectedContextMessage(callbackData.moduleObject);

};
